<?php

namespace Drupal\ld_json_schema\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the Json schema entity entity.
 *
 * @ConfigEntityType(
 *   id = "json_schema_entity",
 *   label = @Translation("URL"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\ld_json_schema\JsonSchemaEntityListBuilder",
 *     "form" = {
 *       "add" = "Drupal\ld_json_schema\Form\JsonSchemaEntityForm",
 *       "edit" = "Drupal\ld_json_schema\Form\JsonSchemaEntityForm",
 *       "delete" = "Drupal\ld_json_schema\Form\JsonSchemaEntityDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\ld_json_schema\JsonSchemaEntityHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "json_schema_entity",
 *   admin_permission = "administer site configuration",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "json" = "json",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/config/search/ld_json_schema/{json_schema_entity}",
 *     "add-form" = "/admin/config/search/ld_json_schema/add",
 *     "edit-form" = "/admin/config/search/ld_json_schema/{json_schema_entity}/edit",
 *     "delete-form" = "/admin/config/search/ld_json_schema/{json_schema_entity}/delete",
 *     "collection" = "/admin/config/search/ld_json_schema"
 *   }
 * )
 */
class JsonSchemaEntity extends ConfigEntityBase implements JsonSchemaEntityInterface {

  /**
   * The Json schema entity ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Json schema entity label.
   *
   * @var string
   */
  protected $label;

  /**
   * The Json schema entity json.
   *
   * @var string
   */
  protected $json;

  /**
   * {@inheritdoc}
   */
  public function json() {
    return $this->json;
  }

}
